import 'package:getx_extended/rx/source/rx_query_model.dart';

class RxModel<T> extends RxQueryModel<void, T> {
  RxModel({
    required Future<T> Function() source,
    required T defaultValue,
    bool isAutoStart = true,
  }) : super(
          query: {},
          source: (_) => source(),
          defaultValue: defaultValue,
          isAutoStart: isAutoStart,
        );
}
